## aiohttp-cors 0.7.0

=== Makefile ===
all: test


flake:
	flake8 aiohttp_cors tests setup.py

test: flake
	pytest tests

## aiohttp-cors 0.5.3

=== debian/changelog ===
aiohttp-cors (0.5.3-1) unstable; urgency=medium

  * New upstream release
    - Compatible with python-aiohttp 2.x (closes: #865805)
  * Standards-Version bumped 4.0.0
  * Vcs-Git URL set
  * Uploaders set to DMPT

 -- Brandon Weeks <bweeks@google.com>  Mon, 24 Jul 2017 00:56:18 -0700

aiohttp-cors (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #855498)

 -- Brandon Weeks <bweeks@google.com>  Sun, 19 Feb 2017 07:49:52 +0000

=== debian/control ===
Source: aiohttp-cors
Section: python
Priority: optional
Maintainer: Brandon Weeks <bweeks@google.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
  debhelper (>= 9),
  dh-python,
  python3,
  python3-aiohttp,
  python3-pytest,
  python3-selenium,
  python3-setuptools
Standards-Version: 4.0.0
Homepage: https://github.com/aio-libs/aiohttp-cors
X-Python3-Version: >= 3.5
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aiohttp-cors.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aiohttp-cors.git/
Testsuite: autopkgtest-pkg-python

Package: python3-aiohttp-cors
Architecture: all
Depends:
  ${python3:Depends},
  ${misc:Depends}
Description: Cross Origin Resource Sharing (CORS) support for aiohttp
 aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support
 for aiohttp asyncio-powered asynchronous HTTP server.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiohttp-cors
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k-tests/integration/test_real_browser.py

%:
	dh $@ --with python3 --buildsystem=pybuild

## aiohttp-cors 0.7.0

=== debian/changelog ===
aiohttp-cors (0.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Sep 2021 23:54:57 -0400

aiohttp-cors (0.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout

  [ Ruben Undheim ]
  * DH level 11
  * debian/control:
    - New standards version 4.2.1 - no changes
  * debian/copyright: Updated copyright info
  * debian/gbp.conf: Enable pristine-tar build
  * debian/rules:
    - Disable unreliable tests (Closes: #887529)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 21 Dec 2018 13:01:23 +0100

=== debian/control ===
Source: aiohttp-cors
Section: python
Priority: optional
Maintainer: Brandon Weeks <bweeks@google.com>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  python3,
  python3-aiohttp,
  python3-pytest,
  python3-selenium,
  python3-setuptools
Standards-Version: 4.2.1
Homepage: https://github.com/aio-libs/aiohttp-cors
Vcs-Git: https://salsa.debian.org/python-team/packages/aiohttp-cors.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiohttp-cors
Testsuite: autopkgtest-pkg-python

Package: python3-aiohttp-cors
Architecture: all
Depends:
  ${python3:Depends},
  ${misc:Depends}
Description: Cross Origin Resource Sharing (CORS) support for aiohttp
 aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support
 for aiohttp asyncio-powered asynchronous HTTP server.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+
+# Disable unreliable tests
+override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiohttp_cors/aiohttp_cors-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aiohttp-cors 0.8.1

=== debian/changelog ===
aiohttp-cors (0.8.1-1) unstable; urgency=medium

  * Team upload
  * Fix watch file
  * New upstream version 0.8.1
  * Set DPT as Maintainer per new Team Policy

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 19:51:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: aiohttp-cors
 Section: python
 Priority: optional
-Maintainer: Brandon Weeks <bweeks@google.com>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Brandon Weeks <bweeks@google.com>,
 Build-Depends:
-  debhelper-compat (= 12),
-  dh-python,
-  python3,
-  python3-aiohttp,
-  python3-pytest,
-  python3-selenium,
-  python3-setuptools
-Standards-Version: 4.2.1
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3,
+ python3-aiohttp,
+ python3-pytest <!nocheck>,
+ python3-selenium,
+ python3-setuptools,
+Standards-Version: 4.7.2
 Homepage: https://github.com/aio-libs/aiohttp-cors
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiohttp-cors.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiohttp-cors

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS=-k-tests/integration/test_real_browser.py
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 # Disable unreliable tests

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiohttp-cors/aiohttp_cors-@ANY_VERSION@@ARCHIVE_EXT@
